//
//  SmashViewController.m
//  Smash
//
//  Created by aka on 08/12/22.
//  Copyright Masayuki Akamatsu 2008. All rights reserved.
//

#import "SmashViewController.h"


@implementation SmashViewController

/*
// The designated initializer. Override to perform setup that is required before the view is loaded.
- (id)initWithNibName:(NSString *)nibNameOrNil bundle:(NSBundle *)nibBundleOrNil {
    if (self = [super initWithNibName:nibNameOrNil bundle:nibBundleOrNil]) {
        // Custom initialization
    }
    return self;
}
*/

/*
// Implement loadView to create a view hierarchy programmatically, without using a nib.
- (void)loadView {
}
*/


// Implement viewDidLoad to do additional setup after loading the view, typically from a nib.
// ビューの読み込みが完了した時に呼び出されるメソッド
- (void)viewDidLoad
{
	// スーパー・クラスのメソッドを呼び出す
    [super viewDidLoad];

	// 乱数の初期化
	srand(time(NULL));
	
	// タイマーの作成（動作開始）
	[NSTimer scheduledTimerWithTimeInterval:0.5		// 時間間隔（秒）
									 target:self	// 呼び出すオブジェクト
								   selector:@selector(move:)	// 呼び出すメソッド
								   userInfo:nil		// ユーザ利用の情報オブジェクト
									repeats:YES];	// 繰り返し

	// 効果音の再生を準備
	NSString *path = [[NSBundle mainBundle] pathForResource:@"Smash" ofType:@"caf"];
	NSURL *url = [NSURL fileURLWithPath:path]; 
	AudioServicesCreateSystemSoundID((CFURLRef)url, &soundID);
}

// タイマーから呼び出されるメソッド
- (void)move:(NSTimer *)timer
{
	// アニメーションの定義開始
	[UIView beginAnimations:nil context:nil];
	[UIView setAnimationDuration:0.5];

	// アニメーションによって変化させる事柄を設定
	// UFOを移動
	int x = rand() % 320;
	int y = rand() % 480;
	target.center = CGPointMake(x, y);
	
	// アニメーションの定義終了、実行
	[UIView commitAnimations];
}


// UFOがタップされた時に呼び出されるメソッド
- (IBAction)smash
{
	// 効果音を再生
	AudioServicesPlaySystemSound(soundID);
	
	// バイブレーション付きで効果音を再生
	//AudioServicesPlayAlertSound(soundID);
	
	// バイブレーションを発生
	//AudioServicesPlaySystemSound(kSystemSoundID_Vibrate);
}


/*
// Override to allow orientations other than the default portrait orientation.
- (BOOL)shouldAutorotateToInterfaceOrientation:(UIInterfaceOrientation)interfaceOrientation {
    // Return YES for supported orientations
    return (interfaceOrientation == UIInterfaceOrientationPortrait);
}
*/


- (void)didReceiveMemoryWarning
{
    [super didReceiveMemoryWarning]; // Releases the view if it doesn't have a superview
    // Release anything that's not essential, such as cached data
}


- (void)dealloc
{
    [super dealloc];
}

@end
