//
//  ClockViewController.h
//  Clock
//
//  Created by aka on 09/01/10.
//  Copyright Masayuki Akamatsu 2009. All rights reserved.
//

#import <UIKit/UIKit.h>
#import <AVFoundation/AVAudioPlayer.h>

// ユーザ・デフォルトのキーの定義
#define kAlarmEnabledKey	@"Alarm Enabled"
#define kAlarmHourKey		@"Alarm Hour"


@interface ClockViewController : UIViewController
{
	IBOutlet UIImageView	*alarmHand;		// アラーム針
	IBOutlet UIImageView	*hourHand;		// 時針（短針）
	IBOutlet UIImageView	*minuteHand;	// 分針（長針）
	IBOutlet UIImageView	*secondHand;	// 秒針
	IBOutlet UIButton		*alarmButton;	// アラーム・ボタン
	
	BOOL			alarmEnabled;	// アラームの状態（オン・オフ）
	float			alarmHour;		// アラームの時刻（12時間制）
	
	AVAudioPlayer	*alarmPlayer;	// アラーム音の再生プレーヤ
}

- (IBAction)toggleAlarmButton:(UIButton *)sender;
- (IBAction)moveAlarmHand:(UIButton *)sender forEvent:(UIEvent *)event;
- (void)setAlarmItems;
- (void)driveClock:(NSTimer *)timer;	// タイマーから呼び出される

@end
